/**
 * <copyright>
 * </copyright>
 *
 * $Id: ClassifierValidator.java,v 1.1 2008-04-01 09:35:23 vmahe Exp $
 */
package orgomg.cwm.objectmodel.core.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.analysis.transformation.ClassifierFeatureMap;
import orgomg.cwm.analysis.transformation.ClassifierMap;

import orgomg.cwm.foundation.datatypes.TypeAlias;

import orgomg.cwm.foundation.expressions.ExpressionNode;

import orgomg.cwm.foundation.typemapping.TypeMapping;

import orgomg.cwm.objectmodel.behavioral.Parameter;

import orgomg.cwm.objectmodel.core.Feature;
import orgomg.cwm.objectmodel.core.StructuralFeature;

import orgomg.cwm.objectmodel.instance.Instance;

import orgomg.cwm.objectmodel.relationships.Generalization;

/**
 * A sample validator interface for {@link orgomg.cwm.objectmodel.core.Classifier}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface ClassifierValidator {
	boolean validate();

	boolean validateIsAbstract(boolean value);
	boolean validateFeature(EList<Feature> value);
	boolean validateStructuralFeature(EList<StructuralFeature> value);
	boolean validateParameter(EList<Parameter> value);
	boolean validateGeneralization(EList<Generalization> value);
	boolean validateSpecialization(EList<Generalization> value);
	boolean validateInstance(EList<Instance> value);
	boolean validateAlias(EList<TypeAlias> value);
	boolean validateExpressionNode(EList<ExpressionNode> value);
	boolean validateMappingFrom(EList<TypeMapping> value);
	boolean validateMappingTo(EList<TypeMapping> value);
	boolean validateClassifierMap(EList<ClassifierMap> value);
	boolean validateCfMap(EList<ClassifierFeatureMap> value);
}
